﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Globalization;
using System.Text.RegularExpressions;

public partial class _Default : System.Web.UI.Page
{
    protected void Submit(object sender, EventArgs e)
    {
        ClientScript.RegisterStartupScript(this.GetType(), "alert", "alert('Valid Date.');", true);
    }
    protected void ValidateDate(object sender, ServerValidateEventArgs e)
    {
        if (Regex.IsMatch(txtDate3.Text, "(((0|1)[0-9]|2[0-9]|3[0-1])\\/(0[1-9]|1[0-2])\\/((19|20)\\d\\d))$"))
        {
            DateTime dt;
            e.IsValid = DateTime.TryParseExact(e.Value, "dd/MM/yyyy", new CultureInfo("en-GB"), DateTimeStyles.None, out dt);
            if (e.IsValid)
            {
                ClientScript.RegisterStartupScript(this.GetType(), "alert", "alert('Valid Date.');", true);
            }
        }
        else
        {
            e.IsValid = false;
        }
    }
}